# Copyright 2013 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).
from charmworld.search import reindex


def upgrade(db, index_client):
    """Add the downloads attribute to each charm.

    Default to using their 30day acount and it'll be updated to be more
    accurate on the next injest run.

    """
    charms = db.charms.find({})
    for charm in charms:
        if 'downloads_in_past_30_days' in charm:
            charm['downloads'] = charm['downloads_in_past_30_days']
        else:
            charm['downloads'] = 0
        db.charms.save(charm)

    reindex(index_client, list(db.charms.find({})))
